Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.style
Class OdfStyleElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfContainerElementBase
                                  org.odftoolkit.odfdom.dom.element.OdfStyleBase
                                      org.odftoolkit.odfdom.dom.element.style.OdfStyleElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfStyle

    public abstract class OdfStyleElement

extends OdfStyleBase

DOM implementation of OpenDocument element style:style.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfStyleElement(OdfFileDom aOwnerDoc)` Create the instance of OdfStyleElement

Method Summary
`OdfChartPropertiesElement` | `createChartPropertiesElement(String symbolType)` Create child element style:chart-properties.
`OdfChartPropertiesElement` | `createChartPropertiesElement(String symbolType, OdfSymbolNameType symbolName)` Create child element style:chart-properties.
`OdfDrawingPagePropertiesElement` | `createDrawingPagePropertiesElement()` Create child element style:drawing-page-properties.
`OdfGraphicPropertiesElement` | `createGraphicPropertiesElement()` Create child element style:graphic-properties.
`OdfMapElement` | `createMapElement(String condition, OdfStyleNameRef applyStyleName)` Create child element style:map.
`OdfParagraphPropertiesElement` | `createParagraphPropertiesElement()` Create child element style:paragraph-properties.
`OdfRubyPropertiesElement` | `createRubyPropertiesElement()` Create child element style:ruby-properties.
`OdfSectionPropertiesElement` | `createSectionPropertiesElement()` Create child element style:section-properties.
`OdfTableCellPropertiesElement` | `createTableCellPropertiesElement()` Create child element style:table-cell-properties.
`OdfTableColumnPropertiesElement` | `createTableColumnPropertiesElement()` Create child element style:table-column-properties.
`OdfTablePropertiesElement` | `createTablePropertiesElement()` Create child element style:table-properties.
`OdfTableRowPropertiesElement` | `createTableRowPropertiesElement()` Create child element style:table-row-properties.
`OdfTextPropertiesElement` | `createTextPropertiesElement(String display)` Create child element style:text-properties.
`OdfTextPropertiesElement` | `createTextPropertiesElement(String display, String condition)` Create child element style:text-properties.
`OdfBoolean` | `getAutoUpdate()` Get value of attribute style:auto-update.
`String` | `getDataStyleName()` Get value of attribute style:data-style-name.
`OdfPositiveInteger` | `getDefaultOutlineLevel()` Get value of attribute style:default-outline-level.
`String` | `getDisplayName()` Get value of attribute style:display-name.
`OdfStyleFamily` | `getFamily()` Get value of attribute style:family.
`OdfPositiveInteger` | `getListLevel()` Get value of attribute style:list-level.
`String` | `getListStyleName()` Get value of attribute style:list-style-name.
`String` | `getMasterPageName()` Get value of attribute style:master-page-name.
`String` | `getName()` Get value of attribute style:name.
`String` | `getNextStyleName()` Get value of attribute style:next-style-name.
`OdfName` | `getOdfName()` Get the element name
`String` | `getParentStyleName()` Get value of attribute style:parent-style-name.
`String` | `getPercentageDataStyleName()` Get value of attribute style:percentage-data-style-name.
`String` | `getStyleClass()` Get value of attribute style:class.
`void` | `init(OdfStyleName name, OdfStyleFamily family)` Initialization of the mandatory attributes of `OdfStyleElement`
`void` | `setAutoUpdate(OdfBoolean isAutoUpdate)` Set value of attribute style:auto-update.
`void` | `setDataStyleName(OdfStyleNameRef dataStyleName)` Set value of attribute style:data-style-name.
`void` | `setDefaultOutlineLevel(OdfPositiveInteger defaultOutlineLevel)` Set value of attribute style:default-outline-level.
`void` | `setDisplayName(String displayName)` Set value of attribute style:display-name.
`void` | `setFamily(OdfStyleFamily family)` Set value of attribute style:family.
`void` | `setListLevel(OdfPositiveInteger listLevel)` Set value of attribute style:list-level.
`void` | `setListStyleName(OdfStyleName listStyleName)` Set value of attribute style:list-style-name.
`void` | `setMasterPageName(OdfStyleNameRef masterPageName)` Set value of attribute style:master-page-name.
`void` | `setName(OdfStyleName name)` Set value of attribute style:name.
`void` | `setNextStyleName(OdfStyleNameRef nextStyleName)` Set value of attribute style:next-style-name.
`void` | `setParentStyleName(OdfStyleNameRef parentStyleName)` Set value of attribute style:parent-style-name.
`void` | `setPercentageDataStyleName(OdfStyleNameRef percentageDataStyleName)` Set value of attribute style:percentage-data-style-name.
`void` | `setStyleClass(String styleClass)` Set value of attribute style:class.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStyleBase
`addStyleUser, equals, getFamilyName, getOrCreatePropertiesElement, getParentStyle, getProperties, getPropertiesElement, getProperty, getStrictProperties, getStyleProperties, getStylePropertiesDeep, getStyleUserCount, hashCode, hasProperty, onOdfNodeInserted, onOdfNodeRemoved, removeProperty, removeStyleUser, setProperties, setProperty`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfContainerElementBase
`insertBefore, removeChild, replaceChild`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfStyleElement

    public OdfStyleElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfStyleElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element style:style.

### init

    public void init(OdfStyleName name,
                     OdfStyleFamily family)

  Initialization of the mandatory attributes of `OdfStyleElement`

  Parameters:
    `name` - The mandatory attribute style:name"
    `family` - The mandatory attribute style:family"

### getName

    public String getName()

  Get value of attribute style:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(OdfStyleName name)

  Set value of attribute style:name.

  Parameters:
    `name` - the attribute's type is OdfStyleName

### getDisplayName

    public String getDisplayName()

  Get value of attribute style:display-name.

  Returns:
    return the attribute which type is String

### setDisplayName

    public void setDisplayName(String displayName)

  Set value of attribute style:display-name.

  Parameters:
    `displayName` - the attribute's type is String

### getParentStyleName

    public String getParentStyleName()

  Get value of attribute style:parent-style-name.

  Returns:
    return the attribute which type is String

### setParentStyleName

    public void setParentStyleName(OdfStyleNameRef parentStyleName)

  Set value of attribute style:parent-style-name.

  Parameters:
    `parentStyleName` - the attribute's type is OdfStyleNameRef

### getNextStyleName

    public String getNextStyleName()

  Get value of attribute style:next-style-name.

  Returns:
    return the attribute which type is String

### setNextStyleName

    public void setNextStyleName(OdfStyleNameRef nextStyleName)

  Set value of attribute style:next-style-name.

  Parameters:
    `nextStyleName` - the attribute's type is OdfStyleNameRef

### getListLevel

    public OdfPositiveInteger getListLevel()

  Get value of attribute style:list-level.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setListLevel

    public void setListLevel(OdfPositiveInteger listLevel)

  Set value of attribute style:list-level.

  Parameters:
    `listLevel` - the attribute's type is OdfPositiveInteger

### getListStyleName

    public String getListStyleName()

  Get value of attribute style:list-style-name.

  Returns:
    return the attribute which type is String

### setListStyleName

    public void setListStyleName(OdfStyleName listStyleName)

  Set value of attribute style:list-style-name.

  Parameters:
    `listStyleName` - the attribute's type is OdfStyleName

### getMasterPageName

    public String getMasterPageName()

  Get value of attribute style:master-page-name.

  Returns:
    return the attribute which type is String

### setMasterPageName

    public void setMasterPageName(OdfStyleNameRef masterPageName)

  Set value of attribute style:master-page-name.

  Parameters:
    `masterPageName` - the attribute's type is OdfStyleNameRef

### getAutoUpdate

    public OdfBoolean getAutoUpdate()

  Get value of attribute style:auto-update.

  Returns:
    return the attribute which type is OdfBoolean

### setAutoUpdate

    public void setAutoUpdate(OdfBoolean isAutoUpdate)

  Set value of attribute style:auto-update.

  Parameters:
    `isAutoUpdate` - the attribute's type is OdfBoolean

### getDataStyleName

    public String getDataStyleName()

  Get value of attribute style:data-style-name.

  Returns:
    return the attribute which type is String

### setDataStyleName

    public void setDataStyleName(OdfStyleNameRef dataStyleName)

  Set value of attribute style:data-style-name.

  Parameters:
    `dataStyleName` - the attribute's type is OdfStyleNameRef

### getPercentageDataStyleName

    public String getPercentageDataStyleName()

  Get value of attribute style:percentage-data-style-name.

  Returns:
    return the attribute which type is String

### setPercentageDataStyleName

    public void setPercentageDataStyleName(OdfStyleNameRef percentageDataStyleName)

  Set value of attribute style:percentage-data-style-name.

  Parameters:
    `percentageDataStyleName` - the attribute's type is OdfStyleNameRef

### getStyleClass

    public String getStyleClass()

  Get value of attribute style:class.

  Returns:
    return the attribute which type is String

### setStyleClass

    public void setStyleClass(String styleClass)

  Set value of attribute style:class.

  Parameters:
    `styleClass` - the attribute's type is String

### getDefaultOutlineLevel

    public OdfPositiveInteger getDefaultOutlineLevel()

  Get value of attribute style:default-outline-level.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setDefaultOutlineLevel

    public void setDefaultOutlineLevel(OdfPositiveInteger defaultOutlineLevel)

  Set value of attribute style:default-outline-level.

  Parameters:
    `defaultOutlineLevel` - the attribute's type is OdfPositiveInteger

### getFamily

    public OdfStyleFamily getFamily()

  Get value of attribute style:family.

  Specified by:
    `getFamily` in class `OdfStyleBase`
  Returns:
    return the attribute which type is OdfStyleFamily

### setFamily

    public void setFamily(OdfStyleFamily family)

  Set value of attribute style:family.

  Parameters:
    `family` - the attribute's type is OdfStyleFamily

### createTextPropertiesElement

    public OdfTextPropertiesElement createTextPropertiesElement(String display)

  Create child element style:text-properties.

  Parameters:
    `display` - String
  Returns:
    return the element style:text-properties

### createTextPropertiesElement

    public OdfTextPropertiesElement createTextPropertiesElement(String display,
                                                                String condition)

  Create child element style:text-properties.

  Parameters:
    `display` - String
    `condition` - String
  Returns:
    return the element style:text-properties

### createParagraphPropertiesElement

    public OdfParagraphPropertiesElement createParagraphPropertiesElement()

  Create child element style:paragraph-properties.

  Returns:
    return the element style:paragraph-properties

### createSectionPropertiesElement

    public OdfSectionPropertiesElement createSectionPropertiesElement()

  Create child element style:section-properties.

  Returns:
    return the element style:section-properties

### createRubyPropertiesElement

    public OdfRubyPropertiesElement createRubyPropertiesElement()

  Create child element style:ruby-properties.

  Returns:
    return the element style:ruby-properties

### createTablePropertiesElement

    public OdfTablePropertiesElement createTablePropertiesElement()

  Create child element style:table-properties.

  Returns:
    return the element style:table-properties

### createTableColumnPropertiesElement

    public OdfTableColumnPropertiesElement createTableColumnPropertiesElement()

  Create child element style:table-column-properties.

  Returns:
    return the element style:table-column-properties

### createTableRowPropertiesElement

    public OdfTableRowPropertiesElement createTableRowPropertiesElement()

  Create child element style:table-row-properties.

  Returns:
    return the element style:table-row-properties

### createTableCellPropertiesElement

    public OdfTableCellPropertiesElement createTableCellPropertiesElement()

  Create child element style:table-cell-properties.

  Returns:
    return the element style:table-cell-properties

### createGraphicPropertiesElement

    public OdfGraphicPropertiesElement createGraphicPropertiesElement()

  Create child element style:graphic-properties.

  Returns:
    return the element style:graphic-properties

### createDrawingPagePropertiesElement

    public OdfDrawingPagePropertiesElement createDrawingPagePropertiesElement()

  Create child element style:drawing-page-properties.

  Returns:
    return the element style:drawing-page-properties

### createChartPropertiesElement

    public OdfChartPropertiesElement createChartPropertiesElement(String symbolType)

  Create child element style:chart-properties.

  Parameters:
    `symbolType` - String
  Returns:
    return the element style:chart-properties

### createChartPropertiesElement

    public OdfChartPropertiesElement createChartPropertiesElement(String symbolType,
                                                                  OdfSymbolNameType symbolName)

  Create child element style:chart-properties.

  Parameters:
    `symbolType` - String
    `symbolName` - the attribute's type is OdfSymbolNameType, see chart:symbol-name at specification
  Returns:
    return the element style:chart-properties

### createMapElement

    public OdfMapElement createMapElement(String condition,
                                          OdfStyleNameRef applyStyleName)

  Create child element style:map.

  Parameters:
    `condition` - String
    `applyStyleName` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleNameRef
  Returns:
    return the element style:map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.